Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridGeometryFilter Class Reference

`#include <vtkStructuredGridGeometryFilter.h>`

Inheritance diagram for vtkStructuredGridGeometryFilter:

[legend]
Collaboration diagram for vtkStructuredGridGeometryFilter:

[legend]
List of all members.

## Detailed Description

extract geometry for structured grid

Date:
  2002/01/22 15:29:49

Revision:
  1.43

vtkStructuredGridGeometryFilter is a filter that extracts geometry from a structured grid. By specifying appropriate i-j-k indices, it is possible to extract a point, a curve, a surface, or a "volume". Depending upon the type of data, the curve and surface may be curved or planar. (The volume is actually a (n x m x o) region of points.)

The extent specification is zero-offset. That is, the first k-plane in a 50x50x50 structured grid is given by (0,49, 0,49, 0,0).

The output of this filter is affected by the structured grid blanking. If blanking is on, and a blanking array defined, then those cells attached to blanked points are not output. (Blanking is a property of the input vtkStructuredGrid.)

Warning:
  If you don't know the dimensions of the input dataset, you can use a large number to specify extent (the number will be clamped appropriately). For example, if the dataset dimensions are 50x50x50, and you want a the fifth k-plane, you can use the extents (0,100, 0,100, 4,4). The 100 will automatically be clamped to 49.

See also:
  vtkGeometryFilter vtkExtractGrid vtkStructuredGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (62%)
  - Lorensen, Bill (13%)
  - Law, Charles (11%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkStructuredGridGeometryFilter.cxx)`
  - .`h` (`/Graphics/vtkStructuredGridGeometryFilter.h)`

Examples:
  vtkStructuredGridGeometryFilter (Examples)

Tests:
  vtkStructuredGridGeometryFilter (Tests)

Definition at line 71 of file vtkStructuredGridGeometryFilter.h.

## Public Types
typedef vtkStructuredGridToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax)
void | SetExtent (int extent[6])
virtual int * | GetExtent ()
virtual void | GetExtent (int data[6])
## Static Public Methods
vtkStructuredGridGeometryFilter * | New ()
int | IsTypeOf (const char *type)
vtkStructuredGridGeometryFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridGeometryFilter ()
| ~vtkStructuredGridGeometryFilter ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | Extent [6]

## Member Typedef Documentation

typedef vtkStructuredGridToPolyDataFilter vtkStructuredGridGeometryFilter::Superclass

| Reimplemented from vtkStructuredGridToPolyDataFilter. Definition at line 75 of file vtkStructuredGridGeometryFilter.h.

## Constructor & Destructor Documentation

vtkStructuredGridGeometryFilter::vtkStructuredGridGeometryFilter | ( |  | ) | `[protected]`

vtkStructuredGridGeometryFilter::~vtkStructuredGridGeometryFilter | ( |  | ) | `[inline, protected]`

| Definition at line 92 of file vtkStructuredGridGeometryFilter.h.

## Member Function Documentation

vtkStructuredGridGeometryFilter* vtkStructuredGridGeometryFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkStructuredGridGeometryFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridToPolyDataFilter.

int vtkStructuredGridGeometryFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToPolyDataFilter.

virtual int vtkStructuredGridGeometryFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToPolyDataFilter.

vtkStructuredGridGeometryFilter* vtkStructuredGridGeometryFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridToPolyDataFilter.

void vtkStructuredGridGeometryFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridToPolyDataFilter.

virtual int* vtkStructuredGridGeometryFilter::GetExtent | ( |  | ) | `[virtual]`

| Get the extent in topological coordinate range (imin,imax, jmin,jmax, kmin,kmax).

virtual void vtkStructuredGridGeometryFilter::GetExtent | ( | int | data[6] | ) | `[virtual]`

| Get the extent in topological coordinate range (imin,imax, jmin,jmax, kmin,kmax).

void vtkStructuredGridGeometryFilter::SetExtent | ( | int | iMin,
|  | int | iMax,
|  | int | jMin,
|  | int | jMax,
|  | int | kMin,
|  | int | kMax
| ) |

| Specify (imin,imax, jmin,jmax, kmin,kmax) indices.

void vtkStructuredGridGeometryFilter::SetExtent | ( | int | extent[6] | ) |

| Specify (imin,imax, jmin,jmax, kmin,kmax) indices in array form.

void vtkStructuredGridGeometryFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkStructuredGridGeometryFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

## Member Data Documentation

int vtkStructuredGridGeometryFilter::Extent[6]`[protected]`

| Definition at line 96 of file vtkStructuredGridGeometryFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkStructuredGridGeometryFilter.h